# Joylink Device SDK for Java

## 编译SDK
$ cd joylink5_device_sdk_java
$ mvn clean install -Dgpg.skip=true

## 设置配置文件
在文件 joylink5-sdk-samples.properties 中配置好相应的参数


## 运行 sample/devic 参数请根据实际情况填写
$ mvn exec:java -pl joylink5-device-sdk-java-samples -Dexec.mainClass="com.joylink5.services.iot.client.sample.device.DeviceSample" -Dexec.args="-clientEndpoint iot.jvessel-open-hb.jdcloud.com -clientEndpointPort 8883 -deviceId 10106e9ece2a400 -caCertificateFile certs/device/ca.crt -certificateFile certs/device/10106e9ece2a400.crt -privateKeyFile certs/device/10106e9ece2a400.key"


## 运行 sample/gateway 参数请根据实际情况填写
$ mvn exec:java -pl joylink5-device-sdk-java-samples -Dexec.mainClass="com.joylink5.services.iot.client.sample.gateway.GatewaySample" -Dexec.args="-clientEndpoint iot.jvessel-open-hb.jdcloud.com -clientEndpointPort 8883 -deviceId 10106e9ece2a400 -caCertificateFile certs/device/ca.crt -certificateFile certs/device/10106e9ece2a400.crt -privateKeyFile certs/device/10106e9ece2a400.key"
