/*
 * Copyright 2020 JD.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  https://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package com.joylink5.services.iot.client.core;

/**
 * This exception class is used internally in the library for runtime errors.
 */
public class JoylinkRuntimeException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    public JoylinkRuntimeException(Throwable e) {
        super(e);
    }

    public JoylinkRuntimeException(String message) {
        super(message);
    }

}
